%if 0%{?el7}
%define dist .el7
%endif

Summary: ModSecurity Rules
Name: mod_security_crs
Version: 3.0.2
Release: 1%{?dist}
License: ASL 2.0
URL: http://www.modsecurity.org/
Group: System Environment/Daemons

# Use the following command to generate the tarball:
# wget --content-disposition https://github.com/SpiderLabs/owasp-modsecurity-crs/archive/2.2.9.tar.gz

#Source: owasp-modsecurity-crs-%%{version}.tar.gz
Source: https://github.com/SpiderLabs/owasp-modsecurity-crs/archive/v3.0.2.tar.gz#/%{name}-%{version}.tar.gz
BuildArch: noarch
Requires: mod_security >= 2.7.0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes: %{name}-extras

%description
This package provides the base rules for mod_security.

%prep
%setup -q -n owasp-modsecurity-crs-%{version}

%build
sed -i 's,/opt/local,/usr,g;' util/virtual-patching/arachni2modsec.pl
sed -i 's,/opt/local,/usr,g;' util/virtual-patching/zap2modsec.pl

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/modsecurity.d/
install -d %{buildroot}%{_sysconfdir}/httpd/modsecurity.d/activated_rules

install -d %{buildroot}%{_prefix}/lib/modsecurity.d/rules

install -m0644 crs-setup.conf.example %{buildroot}%{_sysconfdir}/httpd/modsecurity.d/modsecurity_crs_10_config.conf
install -m0644 rules/* %{buildroot}%{_prefix}/lib/modsecurity.d/rules/

# activate rules
for f in `ls %{buildroot}/%{_prefix}/lib/modsecurity.d/rules/` ; do 
    ln -s %{_prefix}/lib/modsecurity.d/rules/$f %{buildroot}%{_sysconfdir}/httpd/modsecurity.d/activated_rules/$f; 
done

%clean
rm -rf %{buildroot}

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc CHANGES IDNUMBERING INSTALL KNOWN_BUGS README.md util
%config(noreplace) %{_sysconfdir}/httpd/modsecurity.d/activated_rules/*
%config(noreplace) %{_sysconfdir}/httpd/modsecurity.d/modsecurity_crs_10_config.conf
%{_prefix}/lib/modsecurity.d/rules

%changelog
* Sun Jul 15 2018 momo-i <webmaster@momo-i.org> - 3.0.2-1
- Update to 3.0.2

* Sun Dec 04 2016 momo-i <webmaster@momo-i.org> - 3.0.0-1
- Update to 3.0.0

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.2.9-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.2.9-3
- Rebuilt for fc23

* Fri Sep 12 2014 momo-i <webmaster@momo-i.org> - 2.2.9-2
- Update to 2.2.9

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 02 2013 Athmane Madjoudj <athmane@fedoraproject.org> 2.2.8-1
- Update to 2.2.8
- Adapt the spec file to new github tarball schema.
- Correct bugus date in the spec file.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 19 2012 Peter Vrabec <pvrabec@redhat.com> 2.2.6-4
- "extras" subpackage is not provided on RHEL7

* Wed Oct 17 2012 Athmane Madjoudj <athmane@fedoraproject.org> 2.2.6-3
- Remove the patch since we're requiring mod_security >= 2.7.0
- Require mod_security >= 2.7.0

* Mon Oct 01 2012 Athmane Madjoudj <athmane@fedoraproject.org> 2.2.6-2
- Add a patch to fix incompatible rules.
- Update to new git release

* Sat Sep 15 2012 Athmane Madjoudj <athmane@fedoraproject.org> 2.2.6-1
- Update to 2.2.6
- Update spec file since upstream moved to Github.

* Thu Sep 13 2012 Athmane Madjoudj <athmane@fedoraproject.org> 2.2.5-5
- Enable extra rules sub-package for EPEL.

* Tue Aug 28 2012 Athmane Madjoudj <athmane@fedoraproject.org> 2.2.5-4
- Fix spec for el5

* Tue Aug 28 2012 Athmane Madjoudj <athmane@fedoraproject.org> 2.2.5-3
- Add BuildRoot def for el5 compatibility

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Peter Vrabec <pvrabec@redhat.com> 2.2.5-1
- upgrade

* Wed Jun 20 2012 Peter Vrabec <pvrabec@redhat.com> 2.2.4-3
- "extras" subpackage is not provided on RHEL

* Thu May 03 2012 Peter Vrabec <pvrabec@redhat.com> 2.2.4-2
- fix fedora-review issues (#816975)

* Thu Apr 19 2012 Peter Vrabec <pvrabec@redhat.com> 2.2.4-1
- initial package


